clean_runs {tfruns} | R Documentation

## Clean run directories

### Description

Remove run directories from the filesystem.

### Usage

    clean_runs(runs = ls_runs(runs_dir = runs_dir),
      runs_dir = getOption("tfruns.runs_dir", "runs"), confirm = interactive())

    purge_runs(runs_dir = getOption("tfruns.runs_dir", "runs"),
      confirm = interactive())

### Arguments

`runs` | Runs to clean. Can be specified as a data frame (as returned by `ls_runs()`) or as a character vector of run directories.
`runs_dir` | Directory containing runs. Defaults to "runs" beneath the current working directory (or to the value of the `tfruns.runs_dir` R option if specified).
`confirm` | `TRUE` to confirm before performing operation

### Details

The `clean_runs()` function moves the specified runs (by default, all runs) into an "archive" subdirectory of the "runs" directory.

The `purge_runs()` function permanently deletes the "archive" subdirectory.

### See Also

Other run management: `copy_run`

### Examples

    ## Not run:
    clean_runs(ls_runs(completed == FALSE))

    ## End(Not run)

[Package tfruns version 1.1 Index]